<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\Migrations\Main;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20251104124123 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Delete on cascade EntityWorkflowStepHold';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_main_workflow_entity_step_hold
                   DROP CONSTRAINT fk_1be2e7c73b21e9c');

        $this->addSql('ALTER TABLE chill_main_workflow_entity_step_hold
                   ADD CONSTRAINT fk_1be2e7c73b21e9c
                   FOREIGN KEY (step_id)
                   REFERENCES chill_main_workflow_entity_step (id)
                   ON DELETE CASCADE');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_main_workflow_entity_step_hold
                   DROP CONSTRAINT fk_1be2e7c73b21e9c');

        $this->addSql('ALTER TABLE chill_main_workflow_entity_step_hold
                   ADD CONSTRAINT fk_1be2e7c73b21e9c
                   FOREIGN KEY (step_id)
                   REFERENCES chill_main_workflow_entity_step (id)');
    }
}
